Package org.eclipse.viatra.query.runtime.localsearch.matcher.integration

## Class LocalSearchBackendFactoryProvider

- java.lang.Object
- - org.eclipse.viatra.query.runtime.localsearch.matcher.integration.LocalSearchBackendFactoryProvider

- All Implemented Interfaces:
    `IQueryBackendFactoryProvider`

      public class LocalSearchBackendFactoryProvider
      extends java.lang.Object
      implements IQueryBackendFactoryProvider

  Since:
    2.0

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LocalSearchBackendFactoryProvider()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IQueryBackendFactory` | `getFactory()` | Returns a query backend factory instance.
    `boolean` | `isSystemDefaultSearchBackend()` | Returns whether the given query backend should be considered as system default search backend.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.matchers.backend.IQueryBackendFactoryProvider

      `isSystemDefaultCachingBackend, isSystemDefaultEngine`

- - ### Constructor Detail

    - #### LocalSearchBackendFactoryProvider

          public LocalSearchBackendFactoryProvider()

  - ### Method Detail

    - #### getFactory

          public IQueryBackendFactory getFactory()

      Description copied from interface: `IQueryBackendFactoryProvider`
      Returns a query backend factory instance. The method should return the same instance in case of repeated calls.
      Specified by:
        `getFactory` in interface `IQueryBackendFactoryProvider`

    - #### isSystemDefaultSearchBackend

          public boolean isSystemDefaultSearchBackend()

      Description copied from interface: `IQueryBackendFactoryProvider`
      Returns whether the given query backend should be considered as system default search backend. If multiple backends are registered as system default, it is undefined which one will be chosen.
      Specified by:
        `isSystemDefaultSearchBackend` in interface `IQueryBackendFactoryProvider`